From db42c388554a4179c0a839722754c530096a8484 Mon Sep 17 00:00:00 2001
From: Szczepan Zalega <szczepan@nitrokey.com>
Date: Thu, 28 Nov 2019 18:06:26 +0100
Subject: [PATCH 13/25] udev/u2f.conf: add Safetech SafeKey

Signed-off-by: Gustavo B. Schenkel <gustavo.schenkel@gmail.com>
---
 70-u2f.rules    |  2 ++
 u2f.conf.sample | 10 ++++++++++
 2 files changed, 12 insertions(+)

diff --git a/70-u2f.rules b/70-u2f.rules
index 2884456..3688c72 100644
--- a/70-u2f.rules
+++ b/70-u2f.rules
@@ -49,6 +49,8 @@ KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="1ea8", ATTRS{idProduct
 # Nitrokey FIDO U2F, Nitrokey FIDO2
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="20a0", ATTRS{idProduct}=="4287|42b1", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
+# Safetech SafeKey
+KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="20a0", ATTRS{idProduct}=="42b3", TAG+="uaccess", GROUP="plugdev", MODE="0660"
 
 # Google Titan U2F
 KERNEL=="hidraw*", SUBSYSTEM=="hidraw", ATTRS{idVendor}=="18d1", ATTRS{idProduct}=="5026", TAG+="uaccess", GROUP="plugdev", MODE="0660"
diff --git a/u2f.conf.sample b/u2f.conf.sample
index 7c4e38b..0955ba5 100644
--- a/u2f.conf.sample
+++ b/u2f.conf.sample
@@ -110,6 +110,16 @@ notify 100 {
 	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
 };
 
+# Safetech SafeKey
+notify 100 {
+	match "system"		"USB";
+	match "subsystem"	"DEVICE";
+	match "type"		"ATTACH";
+	match "vendor"		"0x20a0";
+	match "product"		"0x42b3";
+	action "chgrp u2f /dev/$cdev; chmod g+rw /dev/$cdev";
+};
+
 # Google Titan U2F
 notify 100 {
 	match "system"		"USB";
-- 
2.32.0

